# Fn<> FileExtensions
Returns an array of file format extension strings for file foramt tag.

Defined in | <seqan/basic.h>
Signature | `FileExtensions<TFormat[, TDummy]>::VALUE;`

## Template Parameters

`TTag` | The file format tag to use for the query.
`TDummy` | Implementation detail, defaults to `void` and is ignored.

## Return Values

`VALUE` | The array of file format extension, of type `char const *[]`.

## Detailed Description

This metafunction must be implemented in the modules implementing the file I/O. The metafunction is predefined when `TTag` is Nothing. In this case, `VALUE` is `{""}`.

#### Dox Sources

    /*!
     * @mfn FileExtensions
     *
     * @headerfile <seqan/basic.h>
     *
     * @brief Returns an array of file format extension strings for file foramt tag.
     *
     * @signature FileExtensions<TFormat[, TDummy]>::VALUE;
     *
     * @tparam TTag The file format tag to use for the query.
     * @tparam TDummy Implementation detail, defaults to <tt>void</tt> and is
     *                ignored.
     *
     * @return VALUE The array of file format extension, of type <tt>char const
     *               *[]</tt>.
     *
     * This metafunction must be implemented in the modules implementing the file
     * I/O. The metafunction is predefined when <tt>TTag</tt> is @link Nothing
     * @endlink. In this case, <tt>VALUE</tt> is <tt>{""}</tt>.
     */